Skip to main content
Nowledge MemNowledge Mem

List Memories

GET
/memories

List memories with filtering and pagination.

Query Parameters

limit?Limit
Range1 <= value <= 100
Default20
offset?Offset
Range0 <= value
Default0
state?State
Default"active"
importance_min?Importance Min
Range0 <= value <= 1
Default0
space_id?Space Id

Isolation space to list

Default"default"
is_crystal?|

Filter by crystal flag: true for crystals only, false for non-crystal only, omit for both.

unit_type?|

Filter by memory unit type: fact, preference, decision, plan, procedure, learning, context, or event.

Response Body

application/json

application/json

curl -X GET "https://example.com/memories"
{  "memories": [    {      "id": "string",      "title": "string",      "content": "string",      "source": "string",      "time": "string",      "importance": 0,      "rating": 0,      "label_ids": [        "string"      ],      "is_favorite": false,      "source_thread": {        "id": "string",        "title": "string",        "space_id": "default"      },      "confidence": 0,      "space_id": "default",      "unit_type": "fact",      "metadata": {}    }  ],  "pagination": {    "limit": 0,    "offset": 0,    "total": 0,    "has_more": true  }}